<?php
/**
 * @file
 * Contains a Realm Controller.
 *
 * @copyright Copyright(c) 2013 Previous Next Pty Ltd
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext dot com dot au
 */

namespace Drupal\realm\Entity;

use EntityAPIController;

/**
 * The Controller for Realm entities
 */
class RealmController extends \EntityAPIControllerExportable {

  /**
   * Public constructor.
   */
  public function __construct($entity_type) {

    parent::__construct($entity_type);
  }

  /**
   * Create a realm.
   *
   * First set up the values that are specific
   * to our realm schema but then also go through the EntityAPIController
   * function.
   *
   * @param array $values
   *   An array of values for the entity keys.
   *
   * @return object
   *   A realm object with all default fields initialized.
   */
  public function create(array $values = array()) {

    // Add values that are specific to our Realm.
    $values += array(
      'realm_id' => '',
      'is_new' => TRUE,
      'title' => '',
      'created' => '',
      'changed' => '',
      'data' => '',
    );

    $realm = parent::create($values);

    return $realm;
  }

  public function load($ids = array(), $conditions = array()) {

    return parent::load($ids, $conditions); // TODO: Change the autogenerated stub
  }

}
