<?php

/**
 * @file
 * Realm type editing UI.
 */

/**
 * Generates the realm type editing form.
 */
function realm_type_form($form, &$form_state, $realm_type, $op = 'edit') {

  if ($op == 'clone') {
    $realm_type->label .= ' (cloned)';
    $realm_type->type = '';
  }

  $form['label'] = array(
    '#title' => t('Label'),
    '#type' => 'textfield',
    '#default_value' => isset($realm_type->label) ? $realm_type->label : '',
    '#description' => t('The human-readable name of this realm type.'),
    '#required' => TRUE,
    '#size' => 30,
  );
  // Machine-readable type name.
  $form['type'] = array(
    '#type' => 'machine_name',
    '#default_value' => isset($realm_type->type) ? $realm_type->type : '',
    '#maxlength' => 32,
    '#machine_name' => array(
      'exists' => 'realm_get_types',
      'source' => array('label'),
    ),
    '#description' => t('A unique machine-readable name for this realm type. It must only contain lowercase letters, numbers, and underscores.'),
  );

  $form['actions'] = array('#type' => 'actions');
  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save realm type'),
    '#weight' => 40,
  );

  return $form;
}

/**
 * Form API submit callback for the type form.
 */
function realm_type_form_submit(&$form, &$form_state) {

  $realm_type = entity_ui_form_submit_build_entity($form, $form_state);
  $realm_type->save();
  $form_state['redirect'] = 'admin/structure/realm_types';
}

/**
 * Form API submit callback for the delete button.
 */
function realm_type_form_submit_delete(&$form, &$form_state) {

  $form_state['redirect'] = 'admin/structure/realm_types/manage/' . $form_state['realm_type']->type . '/delete';
}
