<?php

/**
 * @file
 * Contains a Views field handler to take care of displaying deletes links
 * as fields
 */

/**
 * Class realm_handler_delete_link_field
 */
class realm_handler_delete_link_field extends realm_handler_link_field {

  /**
   * Public constructor.
   */
  public function construct() {
    parent::construct();
    $this->additional_fields['realm_type'] = 'realm_type';
  }

  /**
   * Render callback.
   */
  public function render($values) {
    $type = $values->{$this->aliases['realm_type']};

    // Creating a dummy realm to check access against.
    $dummy_realm = (object) array('realm_type' => $type);
    if (!realm_access('edit', $dummy_realm)) {

      return;
    }

    $text = !empty($this->options['text']) ? $this->options['text'] : t('delete');
    $realm_id = $values->{$this->aliases['realm_id']};

    return l($text, 'admin/content/realms/realm/' . $realm_id . '/delete');
  }
}
