<?php

/**
 * @file
 * This field handler aggregates operations that can be done on a realm
 * under a single field providing a more flexible way to present them in a view
 */

/**
 * Class realm_handler_realm_operations_field.
 */
class realm_handler_realm_operations_field extends views_handler_field {

  /**
   * Constructor.
   */
  public function construct() {

    parent::construct();

    $this->additional_fields['realm_id'] = 'realm_id';
  }

  /**
   * Query callback.
   */
  public function query() {

    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  /**
   * Render callback.
   */
  public function render($values) {

    $links = menu_contextual_links('realm', 'admin/content/realms/realm', array($this->get_value($values, 'realm_id')));

    if (!empty($links)) {
      return theme('links', array(
        'links' => $links,
        'attributes' => array('class' => array('links', 'inline', 'operations')),
      ));
    }
  }
}
